Modele

## Class Categorie

- java.lang.Object
- - Modele.Categorie

-     public class Categorie
      extends java.lang.Object

  Modele pour la représentation d'une catégorie.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `nom` Nom de la catégorie.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Categorie(java.lang.String nom)` Constructeur initiant le nom de la catégorie.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNom()` Renvoie le nom de la catégorie.
    `void` | `setNom(java.lang.String nom)` Modifie le nom de la catégorie.
    `java.lang.String` | `toString()` Renvoie le nom de la catégorie.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nom

          protected java.lang.String nom

      Nom de la catégorie.

  - ### Constructor Detail

    - #### Categorie

          public Categorie(java.lang.String nom)

      Constructeur initiant le nom de la catégorie.
      Parameters:
        `nom` - Nom de la catégorie.

  - ### Method Detail

    - #### getNom

          public java.lang.String getNom()

      Renvoie le nom de la catégorie.
      Returns:
        Nom de la catégorie.

    - #### setNom

          public void setNom(java.lang.String nom)

      Modifie le nom de la catégorie.
      Parameters:
        `nom` - Nom de la catégorie.

    - #### toString

          public java.lang.String toString()

      Renvoie le nom de la catégorie.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Nom de la catégorie.